Name:          java-xmlbuilder
Version:       0.6
Release:       4%{?dist}
Summary:       XML Builder Java library for creating XML documents
License:       ASL 2.0
Url:           http://code.google.com/p/java-xmlbuilder/
# svn export http://java-xmlbuilder.googlecode.com/svn/tags/java-xmlbuilder-0.6
# tar czf java-xmlbuilder-0.6-src-svn.tar.gz java-xmlbuilder-0.6
Source0:       %{name}-%{version}-src-svn.tar.gz
# remove newline (\n) character
Patch0:        %{name}-0.6-fix-test.patch

BuildRequires: java-devel
BuildRequires: sonatype-oss-parent

BuildRequires: base64
# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-surefire-provider-junit

BuildArch:     noarch

%description
XML Builder is a utility that creates simple XML documents using relatively
sparse Java code.

It is intended to allow for quick and painless creation of XML documents 
where you might otherwise be tempted to use concatenated strings, and 
where you would rather not face the tedium and verbosity of coding with JAXP.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
# Unwanted
%pom_remove_plugin :maven-gpg-plugin
# Unwanted - disable source jar
%pom_remove_plugin :maven-source-plugin
# Unwanted - disable javadoc jar
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']/pom:executions"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin'] " "
    <configuration>
      <encoding>UTF-8</encoding>
      <quiet>true</quiet>
    </configuration>"

# Fix CRLF
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_file :%{name} %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 0.6-2
- switch to XMvn
- minor changes to adapt to current guideline

* Sun Apr 28 2013 gil cattaneo <puntogil@libero.it> 0.6-1
- update to 0.6

* Fri Apr 26 2013 gil cattaneo <puntogil@libero.it> 0.4-2
- install upstream license and notice files

* Mon Jul 02 2012 gil cattaneo <puntogil@libero.it> 0.4-1
- initial rpm